Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.hust.go.model
Class GoAdaptor

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--edu.hust.go.model.GoAdaptor

All Implemented Interfaces:
  java.lang.Runnable

class GoAdaptor
extends java.lang.Thread

Field Summary
`(package private) byte` | `goDefType`
`(package private) java.util.HashMap` | `map`
`(package private) edu.hust.go.model.GoParser` | `parser`
`(package private) java.lang.String` | `threadName`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`GoAdaptor(edu.hust.go.model.GoParser _parser, java.lang.String _threadName, byte _goDefType)`

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### parser

    edu.hust.go.model.GoParser parser

### map

    java.util.HashMap map

### threadName

    java.lang.String threadName

### goDefType

    byte goDefType

Constructor Detail

### GoAdaptor

    public GoAdaptor(edu.hust.go.model.GoParser _parser,
                     java.lang.String _threadName,
                     byte _goDefType)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD